> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a review embed config



## OpenAPI

````yaml /openapi.json post /review_embed_configs/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /review_embed_configs/{id}:
    post:
      tags:
        - Review embed configs
      summary: Update a review embed config
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the review embed config
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: The updated title of the review embed
                review_text_prompt:
                  type: string
                  description: The updated prompt for the review text
                review_text_placeholder:
                  type: string
                  description: The updated placeholder for the review text
                min_stars_to_prompt_review:
                  type: integer
                  description: The updated minimum number of stars to prompt for a review
                google_request_review_url:
                  type: string
                  nullable: true
                  description: The updated URL to request a review from Google
                submit_cta:
                  type: string
                  description: The updated text for the submit button
                slug:
                  type: string
                  description: The updated slug for the review embed
                redirect_to_google_request_review_url:
                  type: boolean
                  description: Whether to redirect directly to the Google review link
      responses:
        '200':
          description: The updated review embed configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewEmbedConfig'
components:
  schemas:
    ReviewEmbedConfig:
      type: object
      properties:
        id:
          type: string
          description: The ID of the review embed config
        title:
          type: string
          description: The title of the review embed
        review_text_prompt:
          type: string
          description: The prompt for the review text
        review_text_placeholder:
          type: string
          description: The placeholder for the review text
        min_stars_to_prompt_review:
          type: integer
          description: The minimum number of stars to prompt for a review
        google_request_review_url:
          type: string
          nullable: true
          description: The URL to request a review from Google
        submit_cta:
          type: string
          description: The text for the submit button
        slug:
          type: string
          description: The unique identifier that appears in the public review URL
        redirect_to_google_request_review_url:
          type: boolean
          description: Whether to redirect directly to the Google review link
        permanent_review_page_url:
          type: string
          description: The permanent review page URL
      required:
        - id
        - title
        - review_text_prompt
        - review_text_placeholder
        - min_stars_to_prompt_review
        - google_request_review_url
        - submit_cta
        - slug
        - redirect_to_google_request_review_url
        - permanent_review_page_url
      title: The Review Embed Config object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````